<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Role extends Model
{
    
    use SoftDeletes;
    protected $fillable = [
        'name'
    ];
     public function modules()
    {
        return $this->belongsToMany(Module::class,'role_modules','role_id','module_id');
    }

}
